List your generation history.
curl --request GET \
--url https://app.mavera.io/api/v1/generations \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"object": "generation",
"title": "<string>",
"app": {
"id": "<string>",
"name": "<string>",
"category": "<string>"
},
"brand_voice": {
"id": "<string>",
"label": "<string>"
},
"input_data": {},
"output": "<string>",
"content_type": "markdown",
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Filter by workspace
Filter by generation app
Search by title
Maximum number of results (default 50, max 100)
x <= 100Cursor for pagination
curl --request GET \
--url https://app.mavera.io/api/v1/generations \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"object": "generation",
"title": "<string>",
"app": {
"id": "<string>",
"name": "<string>",
"category": "<string>"
},
"brand_voice": {
"id": "<string>",
"label": "<string>"
},
"input_data": {},
"output": "<string>",
"content_type": "markdown",
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}